org.h2.value

## Class ExtTypeInfo

- java.lang.Object
- - org.h2.value.ExtTypeInfo

All Implemented Interfaces:
  HasSQL

Direct Known Subclasses:
  ExtTypeInfoEnum, ExtTypeInfoGeometry, ExtTypeInfoNumeric, ExtTypeInfoRow, TypeInfo

    public abstract class ExtTypeInfo
    extends java.lang.Object
    implements HasSQL

Extended parameters of a data type.

### Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`ExtTypeInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getSQL, getTraceSQL`

### Constructor Detail

#### ExtTypeInfo

    public ExtTypeInfo()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`